
/****** Object:  Table [dbo].[AccChequeReceiptItem]    Script Date: 07/06/2021 11:33:10 ق.ظ ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[AccChequeReceiptItem](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[ReceiptID] [bigint] NOT NULL,
	[ChequeNo] [nvarchar](20) NOT NULL,
	[AccountNo] [nvarchar](30) NOT NULL,
	[BankName] [nvarchar](100) NOT NULL,
	[BankBranch] [nvarchar](100) NOT NULL,
	[ChequeDate] [date] NOT NULL,
	[ChequeValue] [decimal](19, 2) NOT NULL,
	[UpdateDate] [datetime] NOT NULL,
	[Updater] [bigint] NOT NULL,
	[InsertDate] [datetime] NOT NULL,
	[Inserter] [bigint] NOT NULL,
 CONSTRAINT [PK_AccChequeReceiptItem] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[AccChequeReceiptItem] ADD  CONSTRAINT [DF_AccChequeReceiptItem_UpdateDate]  DEFAULT (getdate()) FOR [UpdateDate]
GO

ALTER TABLE [dbo].[AccChequeReceiptItem] ADD  CONSTRAINT [DF_AccChequeReceiptItem_Updater]  DEFAULT ((0)) FOR [Updater]
GO

ALTER TABLE [dbo].[AccChequeReceiptItem] ADD  CONSTRAINT [DF_Table_1_UpdateDate1_1]  DEFAULT (getdate()) FOR [InsertDate]
GO

ALTER TABLE [dbo].[AccChequeReceiptItem] ADD  CONSTRAINT [DF_Table_1_Updater1_1]  DEFAULT ((0)) FOR [Inserter]
GO

